Skip to main content
GET
/
public
/
api-keys
/
{api_key_id}
Get API key
curl --request GET \
  --url https://api.pcxpay.com/v1/public/api-keys/{api_key_id} \
  --header 'X-API-Key: <api-key>'
{
  "status": "success",
  "message": "Operation completed successfully",
  "data": {
    "api_key_id": "<string>",
    "prefix": "pcx_abc123",
    "name": "Production Integration",
    "org_id": "<string>",
    "user_id": "<string>",
    "status": "active",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key issued by PCX. Pass the full key string in the X-API-Key request header. The key encodes your organisation and user identity and is verified on every request.

Path Parameters

api_key_id
string
required

Unique ID of the API key

Response

API key metadata

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
Example:

"Operation completed successfully"

data
object